- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

unix_md5_crypt - Provides interoperable MD5-based `crypt()` function

# SYNOPSIS

        use GT::MD5::Crypt;

        $cryptedpassword = unix_md5_crypt($password, $salt);

        $valid = $cryptedpassword eq unix_md5_crypt($password, $cryptedpassword);

# DESCRIPTION

the `unix_md5_crypt()` provides a crypt()-compatible interface to the rather new MD5-based `crypt()` function found in modern operating systems. It's based on the implementation found on FreeBSD 2.2.[56]-RELEASE and contains the following license in it:

     "THE BEER-WARE LICENSE" (Revision 42):
     <phk@login.dknet.dk> wrote this file.  As long as you retain this notice you
     can do whatever you want with this stuff. If we meet some day, and you think
     this stuff is worth it, you can buy me a beer in return.   Poul-Henning Kamp

`apache_md5_crypt()` provides a function compatible with Apache's `.htpasswd` files. This was contributed by Bryan Hart <bryan@eai.com>. As suggested by William A. Rowe, Jr. <wrowe@lnd.com>, it is exported by default.